<template>
  <select
    v-model="$i18n.locale"
    name="language"
    id="language"
    class="language-select"
    :aria-label="aria-label"
    required
  >
    <option value="en">{{ $t('navbar.languageSelection.options.en') }}</option>
    <option value="fr">{{ $t('navbar.languageSelection.options.fr') }}</option>
  </select>
</template>

<script>
export default {
  props: ['aria-label']
}
</script>

<style lang="postcss" scoped>
.language-select {
  @apply px-5 ml-8;
  @apply bg-[url('../assets/world.svg')] bg-[length:15%] bg-no-repeat bg-left;
  @apply cursor-pointer outline-none appearance-none;
  @apply bg-transparent text-gray-600 ;
  @apply dark:bg-gray-800 dark:text-gray-400;
}

.language-select.language-select:hover {
  @apply text-black;
  @apply dark:text-gray-300;
}
</style>
